Update a customer invoiceAsk AIput https://app.pennylane.com/api/external/v2/customer_invoices/{id}Update a customer invoice This endpoint requires the following scope: customer_invoices:allPath ParamsidintegerrequiredThe unique identifier of the customer invoiceQuery Paramsuse_2026_api_changesbooleanDefaults to trueIf you are already using the X-Use-2026-API-Changes header, you can ignore this parameter. The Pennylane API is introducing important changes, which will be rolled out in three phases: preview, sunset and cleanup. For new user, please use this parameter with true value to opt in directly to the new version of the API. Preview phase: From January 14th to April 7th 2026. Opt in by setting this attribute to true to test and migrate to the new behavior. Sunset phase: From April 8th to June 30th 2026. The new behavior becomes the default. Set this attribute to false if you need additional time to migrate. Cleanup phase: Starting July 1st 2026 The old behavior will no longer be available. You must have migrated by this point. For more details, see our API documentation https://pennylane.readme.io/docs/2026-api-changes-guide for migration instructions.truefalseBody ParamsDraft Customer InvoiceFinalized Customer InvoicedatedateInvoice date (ISO 8601)deadlinedateInvoice payment deadline (ISO 8601)customer_idint64Customer identifiercustomer_invoice_template_idint64The customer invoice template IDpdf_invoice_free_textstring | nullFor example, the contact details of the person to contactpdf_invoice_subjectstring | nullInvoice titlepdf_descriptionstring | nullInvoice description. Maximum 5,000 characters.currencystringInvoice Currency (ISO 4217). Default is EUR.special_mentionstring | nullAdditional details. maximum 20,000 characters.discountobjectdiscount objectlanguagestringenumThe local default is based on the thirdparty (customer / supplier ) billing_language . In case the customer is not present, we will default to the company locale.fr_FRen_GBde_DEAllowed:fr_FRen_GBde_DEinvoice_linesobjectAdd, update, delete invoice lines.invoice_lines objectlabelstring | nullCustom label for the invoice used on accounting (ledger) entries. If not provided, Pennylane generates a label automatically.external_referencestringThe unique external reference that was assigned during creation either by you or Pennylane.Responses 200A Customer Invoice 400Bad request 401Access token is missing or invalid 403Access to this resource forbidden 404The resource was not found 422Unprocessable contentUpdated 23 days ago